> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List pages

> Get a list of all pages in your Domo instance.



## OpenAPI

````yaml /openapi/platform/page.yaml GET /v1/pages
openapi: 3.1.0
info:
  title: Page API
  version: '1.0'
  description: >-
    ### The page object


    The page object is a screen where you can view a “collection” of data, which
    is typically displayed in cards. You use a page to organize, manage, and
    share content to other users in Domo. Pages allow you to send external
    reports, create holistic filters across all metrics within the page, or have
    conversations in Domo’s Buzz tool about the data associated to the entire
    page.  The Page API allows you to create, delete,  retrieve a page or a list
    of pages, and update page information and content within a page.


    #### Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | The name of the page

    id | string | The ID of the page

    parentId | integer | The ID of the page that is higher in organizational
    hierarchy 

    owners | array | List of IDs of page owners

    locked | boolean | Determines whether users (besides the page owner) can
    make updates to page or its content - the default value is false

    collectionIds | array | The IDs of collections within a page

    cardIds | array | The ID of all cards contained within the page

    children | object | All pages that are considered "sub pages" in
    organizational hierarchy

    visibility | object | Determines the access given to both individual users
    or groups within Domo

    userIds | array | The IDs of users with access to the page

    groupIds | array | The IDs of groups with access to the page
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/pages:
    get:
      tags: []
      summary: List pages
      description: Get a list of all pages in your Domo instance.
      operationId: get-v1-pages
      parameters:
        - schema:
            type: integer
          in: query
          name: limit
          description: >-
            The amount of pages to return in the list. The default is 50 and the
            maximum is 500.
        - schema:
            type: integer
          in: query
          name: offset
          description: >-
            The offset of the page ID to begin list of pages within the
            response.
      responses:
        '200':
          description: >-
            Returns all page objects that meet argument criteria from original
            request.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    name:
                      type: string
                    children:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: integer
                          name:
                            type: string
                          children:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: integer
                                name:
                                  type: string
                                children:
                                  type: array
                                  items:
                                    type: object
                                    properties: {}
              examples:
                Example 1:
                  value:
                    - id: 1682608296
                      name: Data Apps
                      children:
                        - id: 1289810845
                          name: Store Location Competitive Analysis
                          children: []
                    - id: 1507324998
                      name: DDX
                      children:
                        - id: 421939226
                          name: Custom Charts
                          children:
                            - id: 420470310
                              name: Chart.js
                              children: []
                            - id: 1897534827
                              name: D3
                              children: []
                            - id: 1855548025
                              name: ECharts
                              children: []
                            - id: 965575609
                              name: Pheonix
                              children: []
                            - id: 779231725
                              name: Plotly
                              children: []
                            - id: 1786821358
                              name: Vega-Lite
                              children: []
                        - id: 171609943
                          name: Custom Filters
                          children: []
                        - id: 421696155
                          name: Custom Maps
                          children:
                            - id: 1174121205
                              name: ArcGIS
                              children: []
                            - id: 151681390
                              name: D3
                              children: []
                            - id: 1029622927
                              name: Mapbox
                              children: []
                            - id: 865628029
                              name: Pheonix
                              children: []
                        - id: 1248531551
                          name: Custom Navigation
                          children:
                            - id: 716038612
                              name: Tabs Navigation
                              children: []
                            - id: 1866197662
                              name: Tree Map Navigation
                              children: []
                        - id: 1379787593
                          name: Custom Text
                          children: []
                        - id: 1576024568
                          name: Data Exploration
                          children: []
                        - id: 1170734417
                          name: Data Input
                          children: []
                        - id: 2089932956
                          name: Generic DDX Templates
                          children: []
                        - id: 998873929
                          name: Images
                          children: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````